### Signal

# Foundry DirectoryReaper::remove-file

#### Declaration

    void
    remove_file (
      FoundryDirectoryReaper* self,
      GioFile* file,
      gpointer user_data
    )

#### Description [src]

The “remove-file” signal is emitted for each file that is removed by the `FoundryDirectoryReaper` instance. This may be useful if you want to show the user what was processed by the reaper.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`file`

  Type: `GFile`

  A `GFile`.

  The data is owned by the caller of the function.